Create account
POST
/api/user/signup
Authentication
API Key (cookie: better-auth.session_token)
Request Body
application/jsonemail
string (email)
REQUIRED
password
string
REQUIRED
name
string
Responses
201
Account created
application/jsonuser
object
REQUIRED
id
string
REQUIRED
email
string
REQUIRED
name
string
REQUIRED
400
Validation error
curl -X POST 'https://motioness.com/api/user/signup' \ -H 'Content-Type: application/json' \ -d '{ "email": "user@example.com", "password": "string", "name": ""}'
const response = await fetch('https://motioness.com/api/user/signup', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "email": "user@example.com", "password": "string", "name": "" })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/user/signup', json={ "email": "user@example.com", "password": "string", "name": ""})print(response.json())
201
Response
{ "user": { "id": "<string>", "email": "<string>", "name": "<string>" }}
API Playground
Try this endpoint
POST
/api/user/signup